I know that you have to use mysqli functions on 4.1+ servers, but on my local dev server ( win2k ), I can connect and perform basic queries using the mysqli function on 3.x and 4.0.x servers too. Is this the correct behavior?